4132e8ca |
1 | #!/bin/sh |
2 | # some elements originated from qemu configure |
3 | set -e |
4 | |
5 | TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c" |
6 | TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o" |
07c13dfd |
7 | TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}" |
8 | trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM |
4132e8ca |
9 | rm -f config.log |
10 | |
11 | compile_object() |
12 | { |
07c13dfd |
13 | c="$CC $CFLAGS -c $TMPC -o $TMPO $@" |
14 | echo $c >> config.log |
15 | $c >> config.log 2>&1 |
16 | } |
17 | |
18 | compile_binary() |
19 | { |
20 | c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@" |
4132e8ca |
21 | echo $c >> config.log |
22 | $c >> config.log 2>&1 |
23 | } |
24 | |
25 | check_define() |
26 | { |
00a212aa |
27 | $CC -E -dD $CFLAGS include/arm_features.h | grep -q $1 || return 1 |
4132e8ca |
28 | return 0 |
29 | } |
30 | |
31 | # setting options to "yes" or "no" will make that choice default, |
32 | # "" means "autodetect". |
33 | |
38c2028e |
34 | platform_list="generic pandora maemo caanoo libretro" |
4132e8ca |
35 | platform="generic" |
61bc6d40 |
36 | builtin_gpu_list="peops unai neon" |
37 | builtin_gpu="" |
b68bf5c2 |
38 | sound_driver_list="oss alsa pulseaudio sdl libretro" |
07c13dfd |
39 | sound_drivers="" |
dd4d5a35 |
40 | plugins="plugins/spunull/spunull.so \ |
41 | plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so" |
4132e8ca |
42 | ram_fixed="no" |
43 | drc_cache_base="no" |
00a212aa |
44 | have_armv5="" |
4132e8ca |
45 | have_armv6="" |
46 | have_armv7="" |
47 | have_arm_neon="" |
48 | have_tslib="" |
5b9aa749 |
49 | have_gles="" |
4132e8ca |
50 | enable_dynarec="yes" |
f89fa2d9 |
51 | need_sdl="no" |
955f9af0 |
52 | need_xlib="no" |
cc56203b |
53 | need_libpicofe="yes" |
54 | need_warm="no" |
5b9aa749 |
55 | CFLAGS_GLES="" |
56 | LDLIBS_GLES="" |
4132e8ca |
57 | # these are for known platforms |
58 | optimize_cortexa8="no" |
59 | optimize_arm926ej="no" |
60 | |
61 | # hardcoded stuff |
62 | CC="${CC-${CROSS_COMPILE}gcc}" |
ac6575cd |
63 | CXX="${CXX-${CROSS_COMPILE}g++}" |
4132e8ca |
64 | AS="${AS-${CROSS_COMPILE}as}" |
65 | AR="${AS-${CROSS_COMPILE}ar}" |
f89fa2d9 |
66 | MAIN_LDLIBS="$LDLIBS -ldl -lm" |
4132e8ca |
67 | config_mak="config.mak" |
68 | |
07c13dfd |
69 | fail() |
70 | { |
71 | echo "$@" |
72 | exit 1 |
73 | } |
74 | |
4132e8ca |
75 | # call during arg parsing, so that cmd line can override platform defaults |
76 | set_platform() |
77 | { |
78 | platform=$1 |
79 | case "$platform" in |
80 | generic) |
81 | ;; |
82 | pandora) |
07c13dfd |
83 | sound_drivers="oss alsa" |
4132e8ca |
84 | ram_fixed="yes" |
85 | drc_cache_base="yes" |
86 | optimize_cortexa8="yes" |
87 | have_arm_neon="yes" |
955f9af0 |
88 | need_xlib="yes" |
4132e8ca |
89 | ;; |
90 | maemo) |
91 | ram_fixed="yes" |
92 | drc_cache_base="yes" |
93 | optimize_cortexa8="yes" |
94 | have_arm_neon="yes" |
95 | ;; |
96 | caanoo) |
07c13dfd |
97 | sound_drivers="oss" |
4132e8ca |
98 | ram_fixed="yes" |
99 | drc_cache_base="yes" |
100 | optimize_arm926ej="yes" |
cc56203b |
101 | need_warm="yes" |
4132e8ca |
102 | ;; |
38c2028e |
103 | libretro) |
07c13dfd |
104 | sound_drivers="libretro" |
cc56203b |
105 | need_libpicofe="no" |
38c2028e |
106 | ;; |
4132e8ca |
107 | *) |
07c13dfd |
108 | fail "unsupported platform: $platform" |
4132e8ca |
109 | ;; |
110 | esac |
111 | } |
112 | |
113 | for opt do |
114 | optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true |
115 | case "$opt" in |
116 | --help|-h) show_help="yes" |
117 | ;; |
118 | --platform=*) set_platform "$optarg" |
119 | ;; |
61bc6d40 |
120 | --gpu=*) builtin_gpu="$optarg" |
121 | ;; |
07c13dfd |
122 | --sound-drivers=*) sound_drivers="$optarg" |
4132e8ca |
123 | ;; |
124 | --enable-neon) have_arm_neon="yes" |
125 | ;; |
126 | --disable-neon) have_arm_neon="no" |
127 | ;; |
128 | --disable-dynarec) enable_dynarec="no" |
129 | ;; |
130 | *) echo "ERROR: unknown option $opt"; show_help="yes" |
131 | ;; |
132 | esac |
133 | done |
134 | |
135 | if [ "$show_help" = "yes" ]; then |
136 | echo "options:" |
137 | echo " --help print this message" |
138 | echo " --platform=NAME target platform [$platform]" |
139 | echo " available: $platform_list" |
61bc6d40 |
140 | echo " --gpu=NAME builtin gpu plugin [guessed]" |
141 | echo " available: $builtin_gpu_list" |
07c13dfd |
142 | echo " --sound-drivers=LIST sound output drivers [guessed]" |
4132e8ca |
143 | echo " available: $sound_driver_list" |
144 | echo " --enable-neon" |
145 | echo " --disable-neon enable/disable ARM NEON optimizations [guessed]" |
146 | echo " --disable-dynarec disable dynamic recompiler" |
147 | echo " (dynarec is only available and enabled on ARM)" |
148 | echo "influential environment variables:" |
ac6575cd |
149 | echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS" |
4132e8ca |
150 | exit 1 |
151 | fi |
152 | |
07c13dfd |
153 | # validate selections |
61bc6d40 |
154 | if [ "x$builtin_gpu" != "x" ]; then |
07c13dfd |
155 | if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then |
156 | fail "unsupported builtin gpu plugin: $builtin_gpu" |
157 | fi |
61bc6d40 |
158 | fi |
159 | |
07c13dfd |
160 | if [ "x$sound_drivers" != "x" ]; then |
161 | for d in $sound_drivers; do |
162 | if ! echo $sound_driver_list | grep -q "\<$d\>"; then |
163 | fail "unsupported sound driver: $sound_driver" |
164 | fi |
165 | done |
166 | fi |
4132e8ca |
167 | |
cc56203b |
168 | if [ "$need_libpicofe" = "yes" ]; then |
169 | if ! test -f "frontend/libpicofe/README"; then |
170 | fail "libpicofe is missing, please run 'git submodule init && git submodule update'" |
171 | fi |
172 | fi |
173 | |
174 | if [ "$need_warm" = "yes" ]; then |
175 | if ! test -f "frontend/warm/README"; then |
176 | fail "wARM is missing, please run 'git submodule init && git submodule update'" |
177 | fi |
178 | fi |
179 | |
00a212aa |
180 | # basic compiler test |
181 | cat > $TMPC <<EOF |
182 | #include <zlib.h> |
183 | int main(void) { return 0; } |
184 | EOF |
185 | if ! compile_binary; then |
0dc1b4a9 |
186 | fail "compiler test failed, please check config.log" |
00a212aa |
187 | fi |
188 | |
4132e8ca |
189 | if [ -z "$ARCH" ]; then |
0dc1b4a9 |
190 | ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'` |
4132e8ca |
191 | fi |
192 | |
0dc1b4a9 |
193 | case "$ARCH" in |
194 | arm*) |
195 | # ARM stuff |
196 | ARCH="arm" |
197 | |
4132e8ca |
198 | if [ "$optimize_cortexa8" = "yes" ]; then |
4132e8ca |
199 | CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8" |
200 | ASFLAGS="$ASFLAGS -mcpu=cortex-a8" |
201 | fi |
202 | if [ "$optimize_arm926ej" = "yes" ]; then |
203 | CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s" |
204 | ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp" |
205 | fi |
206 | |
207 | if [ "x$have_arm_neon" = "x" ]; then |
208 | # detect NEON from user-supplied cflags to enable asm code |
209 | have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true |
210 | fi |
4132e8ca |
211 | if [ "x$have_armv7" = "x" ]; then |
00a212aa |
212 | if check_define HAVE_ARMV7; then |
4132e8ca |
213 | have_armv7="yes" |
00a212aa |
214 | have_armv6="yes" |
215 | have_armv5="yes" |
4132e8ca |
216 | fi |
217 | fi |
00a212aa |
218 | if [ "x$have_armv6" = "x" ]; then |
219 | if check_define HAVE_ARMV6; then |
220 | have_armv6="yes" |
221 | have_armv5="yes" |
222 | fi |
223 | fi |
224 | if [ "x$have_armv5" = "x" ]; then |
225 | have_armv5=`check_define HAVE_ARMV5 && echo yes` || true |
226 | fi |
4132e8ca |
227 | |
61bc6d40 |
228 | if [ "x$builtin_gpu" = "x" ]; then |
229 | if [ "$have_arm_neon" = "yes" ]; then |
230 | builtin_gpu="neon" |
231 | elif [ "$have_armv7" != "yes" ]; then |
232 | # pre-ARMv7 hardware is usually not fast enough for peops |
233 | builtin_gpu="unai" |
234 | else |
235 | builtin_gpu="peops" |
236 | fi |
237 | fi |
238 | |
e795af9e |
239 | # automatically set mfpu and mfloat-abi if they are not set |
4132e8ca |
240 | if [ "$have_arm_neon" = "yes" ]; then |
40cf6975 |
241 | fpu="neon" |
4132e8ca |
242 | elif [ "$have_armv6" = "yes" ]; then |
40cf6975 |
243 | fpu="vfp" |
4132e8ca |
244 | fi |
40cf6975 |
245 | if [ "x$fpu" != "x" ]; then |
246 | echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu" |
247 | echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu" |
248 | floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true |
249 | if [ "$floatabi_set_by_gcc" != "yes" ]; then |
250 | echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp" |
251 | echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp" |
252 | fi |
4132e8ca |
253 | fi |
254 | |
9f704290 |
255 | # must disable thumb as recompiler can't handle it |
96751f36 |
256 | if check_define __thumb__; then |
9f704290 |
257 | CFLAGS="$CFLAGS -marm" |
96751f36 |
258 | fi |
00a212aa |
259 | |
260 | # warn about common mistakes |
261 | if [ "$have_armv5" != "yes" ]; then |
262 | if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then |
263 | echo "Warning: compiling for ARMv4, is that really what you want?" |
264 | echo "You probably should specify -mcpu= or -march= like this:" |
265 | echo " CFLAGS=-march=armv6 ./configure ..." |
266 | fi |
267 | fi |
268 | if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then |
269 | echo "Warning: compiling for NEON, but not ARMv7?" |
270 | echo "You probably want to specify -mcpu= or -march= like this:" |
271 | echo " CFLAGS=-march=armv7-a ./configure ..." |
272 | fi |
0dc1b4a9 |
273 | ;; |
274 | *) |
4132e8ca |
275 | # dynarec only available on ARM |
276 | enable_dynarec="no" |
0dc1b4a9 |
277 | ;; |
278 | esac |
4132e8ca |
279 | |
61bc6d40 |
280 | if [ "x$builtin_gpu" = "x" ]; then |
281 | builtin_gpu="peops" |
282 | fi |
283 | |
4132e8ca |
284 | # supposedly we can avoid -fPIC on armv5 for slightly better performace? |
285 | if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then |
286 | PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC" |
287 | fi |
288 | |
289 | if [ "$ram_fixed" = "yes" ]; then |
290 | CFLAGS="$CFLAGS -DRAM_FIXED" |
291 | fi |
292 | |
38c2028e |
293 | case "$platform" in |
294 | generic) |
f89fa2d9 |
295 | need_sdl="yes" |
38c2028e |
296 | ;; |
297 | maemo) |
7010034e |
298 | CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES" |
38c2028e |
299 | ;; |
300 | libretro) |
301 | CFLAGS="$CFLAGS -fPIC" |
22fa3f2b |
302 | MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined" |
38c2028e |
303 | ;; |
304 | esac |
4132e8ca |
305 | |
07c13dfd |
306 | # header/library presence tests |
307 | check_zlib() |
308 | { |
309 | cat > $TMPC <<EOF |
310 | #include <zlib.h> |
791f6e3e |
311 | int main(void) { uncompress(0, 0, 0, 0); } |
07c13dfd |
312 | EOF |
313 | compile_binary |
314 | } |
315 | |
07c13dfd |
316 | check_libpng() |
317 | { |
318 | cat > $TMPC <<EOF |
319 | #include <png.h> |
320 | void main() { png_init_io(0, 0); } |
321 | EOF |
322 | compile_binary |
323 | } |
324 | |
325 | check_oss() |
326 | { |
327 | cat > $TMPC <<EOF |
328 | #include <sys/soundcard.h> |
329 | #include <sys/ioctl.h> |
330 | void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); } |
331 | EOF |
332 | compile_binary |
333 | } |
334 | |
335 | check_alsa() |
336 | { |
337 | cat > $TMPC <<EOF |
338 | #include <alsa/asoundlib.h> |
339 | void main() { snd_pcm_open(0, 0, 0, 0); } |
340 | EOF |
341 | compile_binary "$@" |
342 | } |
343 | |
b68bf5c2 |
344 | check_pulseaudio() |
345 | { |
346 | cat > $TMPC <<EOF |
347 | #include <pulse/pulseaudio.h> |
348 | void main() { pa_threaded_mainloop_new(); } |
349 | EOF |
350 | compile_binary "$@" |
351 | } |
352 | |
07c13dfd |
353 | check_sdl() |
354 | { |
355 | cat > $TMPC <<EOF |
356 | #include <SDL.h> |
357 | void main() { SDL_OpenAudio(0, 0); } |
358 | EOF |
359 | compile_binary "$@" |
360 | } |
361 | |
955f9af0 |
362 | check_xlib_headers() |
363 | { |
364 | cat > $TMPC <<EOF |
365 | #include <X11/Xlib.h> |
366 | void *f() { return XOpenDisplay(0); } |
367 | EOF |
368 | compile_object "$@" |
369 | } |
370 | |
f89fa2d9 |
371 | MAIN_LDLIBS="$MAIN_LDLIBS -lz" |
9f704290 |
372 | check_zlib || fail "please install zlib (libz-dev)" |
f89fa2d9 |
373 | |
f89fa2d9 |
374 | MAIN_LDLIBS="-lpng $MAIN_LDLIBS" |
9f704290 |
375 | check_libpng || fail "please install libpng (libpng-dev)" |
07c13dfd |
376 | |
377 | # find what audio support we can compile |
378 | if [ "x$sound_drivers" = "x" ]; then |
379 | if check_oss; then sound_drivers="$sound_drivers oss"; fi |
f89fa2d9 |
380 | if check_alsa -lasound; then |
381 | sound_drivers="$sound_drivers alsa" |
382 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
383 | fi |
b68bf5c2 |
384 | if check_pulseaudio -lpulse; then |
385 | sound_drivers="$sound_drivers pulseaudio" |
386 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
387 | fi |
9f704290 |
388 | if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then |
f89fa2d9 |
389 | sound_drivers="$sound_drivers sdl" |
390 | need_sdl="yes" |
391 | fi |
392 | else |
393 | if echo $sound_drivers | grep -q "\<oss\>"; then |
394 | check_oss || fail "oss support is missing" |
395 | fi |
396 | if echo $sound_drivers | grep -q "\<alsa\>"; then |
397 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
398 | check_alsa || fail "please install libasound2-dev" |
399 | fi |
b68bf5c2 |
400 | if echo $sound_drivers | grep -q "\<pulseaudio\>"; then |
401 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
402 | check_pulseaudio || fail "pulseaudio support is missing" |
403 | fi |
07c13dfd |
404 | fi |
405 | |
9f704290 |
406 | if [ "$need_sdl" = "yes" ]; then |
407 | which sdl-config > /dev/null || \ |
408 | fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)" |
f89fa2d9 |
409 | CFLAGS="$CFLAGS `sdl-config --cflags`" |
410 | MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS" |
9f704290 |
411 | check_sdl || fail "please install libsdl (libsdl1.2-dev)" |
07c13dfd |
412 | fi |
413 | |
4132e8ca |
414 | # check for tslib (only headers needed) |
415 | if [ "x$have_tslib" = "x" ]; then |
416 | cat > $TMPC <<EOF |
417 | #include <tslib.h> |
418 | void test(struct ts_sample sample) {} |
419 | EOF |
420 | if compile_object; then |
421 | have_tslib="yes" |
422 | else |
423 | have_tslib="no" |
424 | fi |
425 | fi |
426 | |
5b9aa749 |
427 | # check for VideoCore stuff for Raspberry Pi |
428 | if [ -d /opt/vc/include -a -d /opt/vc/lib ]; then |
429 | CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads" |
430 | LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib" |
955f9af0 |
431 | need_xlib="yes" |
5b9aa749 |
432 | fi |
433 | |
dd4d5a35 |
434 | # check for GLES headers |
435 | cat > $TMPC <<EOF |
436 | #include <GLES/gl.h> |
dd4d5a35 |
437 | #include <EGL/egl.h> |
5b9aa749 |
438 | int main(void) { |
439 | return (int)eglGetDisplay( (EGLNativeDisplayType)0 ); |
dd4d5a35 |
440 | } |
441 | EOF |
5b9aa749 |
442 | if compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then |
443 | have_gles="yes" |
444 | LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES" |
445 | elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then |
446 | have_gles="yes" |
447 | LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES" |
dd4d5a35 |
448 | fi |
449 | |
5b9aa749 |
450 | if [ "$have_gles" = "yes" ]; then |
451 | plugins="$plugins plugins/gpu-gles/gpu_gles.so" |
452 | fi |
61bc6d40 |
453 | if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then |
454 | plugins="$plugins plugins/gpu_neon/gpu_neon.so" |
455 | fi |
456 | |
955f9af0 |
457 | # check for xlib (only headers needed) |
458 | if [ "x$need_xlib" = "xyes" ]; then |
459 | check_xlib_headers || fail "please install libx11-dev" |
460 | fi |
461 | |
9f704290 |
462 | cat > $TMPC <<EOF |
463 | void test(void *f, void *d) { fread(d, 1, 1, f); } |
464 | EOF |
465 | if compile_object -Wno-unused-result; then |
466 | CFLAGS="$CFLAGS -Wno-unused-result" |
467 | fi |
468 | |
dd4d5a35 |
469 | # short plugin list for display |
470 | for p in $plugins; do |
471 | p1=`basename $p` |
472 | plugins_short="$p1 $plugins_short" |
473 | done |
474 | |
4132e8ca |
475 | # set things that failed to autodetect to "no" |
476 | test "x$have_armv6" != "x" || have_armv6="no" |
477 | test "x$have_armv7" != "x" || have_armv7="no" |
478 | test "x$have_arm_neon" != "x" || have_arm_neon="no" |
00a212aa |
479 | test "x$have_gles" != "x" || have_gles="no" |
4132e8ca |
480 | |
481 | echo "architecture $ARCH" |
482 | echo "platform $platform" |
61bc6d40 |
483 | echo "built-in GPU $builtin_gpu" |
07c13dfd |
484 | echo "sound drivers $sound_drivers" |
dd4d5a35 |
485 | echo "plugins $plugins_short" |
4132e8ca |
486 | echo "C compiler $CC" |
487 | echo "C compiler flags $CFLAGS" |
07c13dfd |
488 | echo "libraries $MAIN_LDLIBS" |
22fa3f2b |
489 | echo "linker flags $LDFLAGS$MAIN_LDFLAGS" |
4132e8ca |
490 | echo "enable dynarec $enable_dynarec" |
491 | echo "ARMv7 optimizations $have_armv7" |
492 | echo "enable ARM NEON $have_arm_neon" |
493 | echo "tslib support $have_tslib" |
2c616080 |
494 | if [ "$platform" = "generic" ]; then |
495 | echo "OpenGL ES output $have_gles" |
496 | fi |
4132e8ca |
497 | |
498 | echo "# Automatically generated by configure" > $config_mak |
499 | printf "# Configured with:" >> $config_mak |
500 | printf " '%s'" "$0" "$@" >> $config_mak |
501 | echo >> $config_mak |
502 | |
503 | echo "CC = $CC" >> $config_mak |
ac6575cd |
504 | echo "CXX = $CXX" >> $config_mak |
4132e8ca |
505 | echo "AS = $AS" >> $config_mak |
506 | echo "CFLAGS += $CFLAGS" >> $config_mak |
507 | echo "ASFLAGS += $ASFLAGS" >> $config_mak |
508 | echo "LDFLAGS += $LDFLAGS" >> $config_mak |
22fa3f2b |
509 | echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak |
07c13dfd |
510 | echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak |
4132e8ca |
511 | echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak |
512 | echo >> $config_mak |
513 | |
38c2028e |
514 | if [ "$platform" = "libretro" ]; then |
515 | echo "TARGET = libretro.so" >> $config_mak |
516 | fi |
4132e8ca |
517 | echo "ARCH = $ARCH" >> $config_mak |
518 | echo "PLATFORM = $platform" >> $config_mak |
61bc6d40 |
519 | echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak |
07c13dfd |
520 | echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak |
ddd99692 |
521 | echo "PLUGINS = $plugins" >> $config_mak |
4132e8ca |
522 | if [ "$have_arm_neon" = "yes" ]; then |
523 | echo "HAVE_NEON = 1" >> $config_mak |
524 | fi |
525 | if [ "$have_tslib" = "yes" ]; then |
526 | echo "HAVE_TSLIB = 1" >> $config_mak |
527 | fi |
5b9aa749 |
528 | if [ "$have_gles" = "yes" ]; then |
529 | echo "HAVE_GLES = 1" >> $config_mak |
530 | echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak |
531 | echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak |
532 | fi |
4132e8ca |
533 | if [ "$enable_dynarec" = "yes" ]; then |
534 | echo "USE_DYNAREC = 1" >> $config_mak |
535 | fi |
536 | if [ "$drc_cache_base" = "yes" ]; then |
537 | echo "DRC_CACHE_BASE = 1" >> $config_mak |
538 | fi |
539 | |
2e6189bc |
540 | # use pandora's skin (for now) |
541 | test -e skin || ln -s frontend/pandora/skin skin |
542 | |
4132e8ca |
543 | # vim:shiftwidth=2:expandtab |